---
updatedAt: 2026-08-05T19:08:30.000Z
agentTools:
  siteIndex: https://developer.ebsco.com/llms.txt
  projectIndex: https://developer.ebsco.com/dynamic-health/llms.txt
---

# Search for Publication Types

Get resource classification for the content which
are used in conjunction with the search endpoint to perform a search query.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Dynamic Health",
    "version": "1.0",
    "contact": {
      "name": "EBSCO Information Services",
      "url": "https://connect.ebsco.com/"
    },
    "description": "MedsAPI Dynamic Health Endpoints.  The documentation on this site covers all supported functionality of the MedsAPI suite of APIs. Any fields or parameters not represented by the documentation are unsupported and subject to change. Additional optional query parameters and fields in the response could be added in the future as a non breaking change. Any other change that could break the contract would be considered in a future version."
  },
  "tags": [
    {
      "name": "Publications & Categories",
      "description": "Dynamic Health Publication & Categories Endpoints"
    }
  ],
  "servers": [
    {
      "url": "https://apis.ebsco.com/medsapi-dynamic-health"
    },
    {
      "url": "https://apis.ebsco.com/medsapi-auth/v1",
      "description": "MedsAPI token endpoint"
    }
  ],
  "paths": {
    "/v1/content/pubtypes": {
      "get": {
        "tags": [
          "Publications & Categories"
        ],
        "summary": "Search for Publication Types",
        "description": "Get resource classification for the content which\nare used in conjunction with the search endpoint to perform a search query.",
        "operationId": "pubtypesUsingGET",
        "parameters": [],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/pubtypes"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "403": {
            "$ref": "#/components/responses/ForbiddenError"
          },
          "404": {
            "$ref": "#/components/responses/NotFoundError"
          },
          "405": {
            "$ref": "#/components/responses/MethodNotAllowedError"
          },
          "406": {
            "$ref": "#/components/responses/NotAcceptableError"
          },
          "415": {
            "$ref": "#/components/responses/UnsupportedMediaTypeError"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequestsError"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "BearerToken": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Error-Response": {
        "title": "Error-Response",
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Standardized reason phrase for this status code",
            "example": "Error Name"
          },
          "message": {
            "type": "string",
            "description": "Details about the error",
            "example": "Error Description"
          }
        }
      },
      "pubtypes": {
        "type": "object",
        "properties": {
          "_metadata": {
            "type": "object",
            "properties": {
              "totalItems": {
                "type": "integer",
                "description": "Total number of resources accessible through this request.",
                "example": 12
              },
              "links": {
                "type": "array",
                "description": "Hypermedia links for this resource collection.",
                "items": {
                  "type": "object",
                  "properties": {
                    "rel": {
                      "type": "string",
                      "description": "Relation type of the corresponding href value.",
                      "example": "self"
                    },
                    "href": {
                      "type": "string",
                      "description": "Absolute link pointing to related resource.",
                      "example": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/pubtypes"
                    }
                  }
                }
              }
            },
            "description": "Details about this response."
          },
          "items": {
            "type": "array",
            "description": "An array containing the current page of publication types.",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "description": "The unique identifier for this publication type.",
                  "example": "condition"
                }
              }
            }
          }
        }
      }
    },
    "responses": {
      "UnauthorizedError": {
        "description": "Unauthorized - This request requires authentication and none was provided."
      },
      "ForbiddenError": {
        "description": "Forbidden - The authentication credentials do not have access to this resource."
      },
      "NotFoundError": {
        "description": "Not Found - The server was unable to find a resource matching this request."
      },
      "MethodNotAllowedError": {
        "description": "Method Not Allowed - The server has not implemented the requested HTTP method."
      },
      "NotAcceptableError": {
        "description": "Not Acceptable - The server cannot return the requested media type."
      },
      "UnsupportedMediaTypeError": {
        "description": "Unsupported Media Type - The server cannot understand the media type in this request."
      },
      "TooManyRequestsError": {
        "description": "Too Many Requests - The client has sent too many requests within the given time."
      },
      "InternalServerError": {
        "description": "Internal Server Error - There was an unexpected error with the server",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error-Response"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "BearerToken": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  }
}
```